Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neurosky.thinkgear
Class TargetHeartRate

    java.lang.Object
      com.neurosky.thinkgear.TargetHeartRate

    public class TargetHeartRate

extends java.lang.Object

Constructor Summary
`TargetHeartRate()`

Method Summary
`int[]` | `getTargetHeartRate(int age, java.lang.String gender, java.lang.String targetZone)` Provides a range of target heart rates for a user of the given @c age, @c gender, and @c activityZone.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetHeartRate

    public TargetHeartRate()

Method Detail

### getTargetHeartRate

    public int[] getTargetHeartRate(int age,
                                    java.lang.String gender,
                                    java.lang.String targetZone)

  Provides a range of target heart rates for a user of the given @c age, @c gender, and @c activityZone. As an example, if the user is a "Male" of biological age 25, and wants to know what range of heart rates is normal for "Aerobic" activity, this method would return { 136, 156 }, indicating the user should get their heart rate between 136-156BPM to be in the "Aerobic" zone.

  Parameters:
    `age` - User's biological age
    `gender` - User's gender. Must be either `"Male"` or `"Female"`
    `activityZone` - The zone of activity of interest to the user. Must be one of "Light Exercise", "Weight Loss", "Aerobic", "Conditioning", or "Athletic".
  Returns:
    An int[2] array, with the lower and upper target heart rate bounds in the first and second field respectively. If either @c gender or @c activityZone are invalid, then { -1, -1 } is returned instead.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD